require 'spec_helper'

describe 'Add soap response' do

  let(:server){Server.new}
  let(:default_uri) {URI('http://127.0.0.1:4567')}
  let(:default_response) {'Default Response'}

  before(:each) do
    server.start({:port => 4567})
  end

  after(:each) do
    Sinatra::Base.reset!
  end

  it 'should default to post method' do
    server.add_soap_response(default_response)
    res = Net::HTTP.post_form(default_uri, {})
    expect(res.body).to eq(default_response)
  end

  it 'should default to xml content type' do
    server.add_soap_response('')
    res = Net::HTTP.post_form(default_uri, {})
    expect(res['Content-Type']).to eq('text/xml;charset=utf-8')
  end

end
